+ Responder ao Tópico



  1. #1
    jamba
    Visitante

    Padrão apache2.0.52+php+ssl

    Boa tarde a todos.

    Hj pela manha precisei recompilar meu php pra dar suporte a gd e tal. Consegui depois de muito sofrimento. Recompilei tb meu apache pra dar suporte a ssl - com muito sofrimento tb mas consegui. Agora qdo inicio o apache - httpd -k start - aparece o erro

    Syntax error on line 232 of /etc/httpd/conf/httpd.conf:
    Cannot load /usr/lib/apache/libphp4.so into server: /usr/lib/apache/libphp4.so: undefined symbol: ssl_onceonlyinit


    No meu httpd.conf na linha 232 esta setado:
    LoadModule php4_module /usr/lib/apache/libphp4.so
    AddModule mod_php4.c


    Alguem ja se deparou com isso?

  2. #2
    Sergio Pires
    Visitante

    Padrão Modulo PHP

    Olá,

    Vc precisa recompilar o PHP prestando atencao especial ao suporte ssl no mesmo pois a mensagem de erro informa que o simbolo(var,funcaoou ou outro ) nao está disponivel para o PHP quando da carga do modulo. Talvez o detalhe seja no proprio SSL , verifique os pre-requisitos de versao SSL para o seu PHP.


    Espero ter ajudado,



  3. #3
    Visitante

    Padrão apache2.0.52+php+ssl

    Veja....Apos dar um make no php-4.3.9 com suporte a imap e ssl/

    /home/centroalfa/source/imap-2004a/c-client/libc-client.a(osdep.o): In function `ssl_onceonlyinit':
    /home/centroalfa/source/imap-2004a/c-client/osdep.c:267: the use of `tmpnam' is dangerous, better use `mkstemp'
    ext/mysql/libmysql/my_tempnam.lo: In function `my_tempnam':
    /home/centroalfa/source/php-4.3.9/ext/mysql/libmysql/my_tempnam.c:115: the use of `tempnam' is dangerous, better use `mkstemp'

    Build complete.
    (It is safe to ignore warnings about tempnam and tmpnam).